设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 106|回复: 10

[求助] 【已解决】Autolisp二条相交直线如何倒圆角

[复制链接]
发表于 6 天前 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
本帖最后由 冰禁 于 2019-5-20 10:06 编辑

请教各位大神
Autolisp二条相交的直线,如何倒圆角?
思路或者范例代码,谢谢!

大概情况如图:

倒圆角后

倒圆角后

倒圆角前

倒圆角前
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
 楼主| 发表于 6 天前 | 显示全部楼层
是获取二条直线的中点,然后  (fillet 直线1中点  直线2中点)
还是
获取二条直线相邻的二个点,然后fillet二条直线的点?
或者是。。。
请大神们指教,谢谢!

点评

手工在CAD中,你拾取哪地方,代码里面就给哪地方。(entsel)的结果给代码  详情 回复 发表于 6 天前
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 40个

财富等级: 招财进宝

发表于 6 天前 | 显示全部楼层
冰禁 发表于 2019-5-15 15:14
是获取二条直线的中点,然后  (fillet 直线1中点  直线2中点)
还是
获取二条直线相邻的二个点,然后fil ...

手工在CAD中,你拾取哪地方,代码里面就给哪地方。(entsel)的结果给代码
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

 楼主| 发表于 5 天前 | 显示全部楼层
newer 发表于 2019-5-15 16:31
手工在CAD中,你拾取哪地方,代码里面就给哪地方。(entsel)的结果给代码

版主大大,请问你一个问题,我不是用鼠标点选2条线
(setq pt1 (entsel "\n请选择第一条边:"))
(setq pt2 (entsel "\n请选择第二条边:"))

我是画一条直线,保存一个实体
(kmc_pip_lin  "P" (list p1 p2) nil)
(setq ob1 (entlast))
(kmc_pip_lin  "P" (list p3 p4) nil)
(setq ob2 (entlast))

然后,设置半径,倒圆,提示半径过大,但是半径大小肯定是正确的,因为如果我用entsel手工点这两条线,半径不变,可以自动倒圆
(setvar "filletrad" rf-1)
(command "fillet" ob1 ob2)

这是为什么呢,是不是因为线有交叉的关系?

点评

ob1和ob2不要是实体名,要用(entsel)的结果,就是实体和点组成的表,来告诉命令哪个实体哪个位置  详情 回复 发表于 5 天前
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 3899个

财富等级: 富可敌国

发表于 5 天前 | 显示全部楼层
当年亦是卡于此处
这样理解吧

(setq ob1 (entsel "\n请选择第一条边:"))
(setq ob2 (entsel "\n请选择第二条边:"))
(command "fillet" ob1 ob2)
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 40个

财富等级: 招财进宝

发表于 5 天前 | 显示全部楼层
冰禁 发表于 2019-5-16 13:49
版主大大,请问你一个问题,我不是用鼠标点选2条线
(setq pt1 (entsel "\n请选择第一条边:"))
(setq  ...

ob1和ob2不要是实体名,要用(entsel)的结果,就是实体和点组成的表,来告诉命令哪个实体哪个位置
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 6016个

财富等级: 富甲天下

发表于 4 天前 | 显示全部楼层
直接调用fillet不可以吗
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 18个

财富等级: 恭喜发财

发表于 4 天前 | 显示全部楼层
直接倒圆角,不行吗
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

 楼主| 发表于 4 天前 | 显示全部楼层
kqqt6236 发表于 2019-5-17 00:50
直接调用fillet不可以吗

autocad2019初始安装版本没问题,
更新过补丁后,就不能直接(fillet 实体1 实体2)
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

 楼主| 发表于 昨天 10:12 | 显示全部楼层
newer 发表于 2019-5-16 14:24
ob1和ob2不要是实体名,要用(entsel)的结果,就是实体和点组成的表,来告诉命令哪个实体哪个位置

谢谢版主大人,问题解决了,按照你的指点,我去获取了二条直线的中点,然后通过(filler 线1的中点 线2的中点) ,现在已经可以正常倒圆角了。谢谢了!

反正也不知道什么原因,也可能是二条直线有相交的情况,2019版本更新了补丁包后,直接filler实体就不行了,提示半径过大

论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 19个

财富等级: 恭喜发财

发表于 昨天 10:48 | 显示全部楼层
冰禁 发表于 2019-5-20 10:12
谢谢版主大人,问题解决了,按照你的指点,我去获取了二条直线的中点,然后通过(filler 线1的中点 线2的 ...

你的半径太大,导不了角,给你提示是很友好的啊。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2019-5-21 13:10 , Processed in 0.153006 second(s), 45 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表